Doomsday Engine - Feature #1607

Reset settings to defaults
2013-10-19 18:44 - skyjake

Status: New Start date: 2013-10-19
Priority: Normal % Done: 40%
Assignee:

Category: User experience

Target version: User interface

Description

There should be a way to reset any settings to defaults.

In practice, this could be done by utilizing SettingsRegister as appropriate in suitable domains. (Using alternative profiles is optional.)

Related issues:

Related to Feature #1183: Default values printed with "help" New 2003-06-13
Related to Feature #1162: Global engine configuration Closed 2003-05-26
Related to Feature #1566: [Automap] Reset line colors New 2012-07-13
Related to Feature #2292: Indication of an options default setting New 2018-11-05
History

#1 - 2013-10-19 18:44 - skyjake

- Subject changed from Reseting settings to defaults to Reset settings to defaults

#2 - 2019-11-29 18:34 - skyjake
- Category changed from Redesign to User experience

- % Done changed from 0 to 40

Some settings can now be reset but not all cvars.

#3 - 2019-11-29 21:33 - skyjake

- Target version set to User interface

#4 - 2019-11-29 22:20 - skyjake
- Related to Feature #2292: Indication of an options default setting added
